org.apache.ignite.internal.visor.tx

## Class VisorTxTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.tx.VisorTxTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorTxTaskArg
    extends VisorDataTransferObject

Argument for `VisorTxTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorTxTaskArg()` Default constructor.
`VisorTxTaskArg(VisorTxOperation op, Integer limit, Long minDuration, Integer minSize, TransactionState state, VisorTxProjection proj, List<String> consistentIds, String xid, String lbRegex, VisorTxSortOrder sortOrder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getConsistentIds()`
`String` `getLabelRegex()`
`Integer` `getLimit()`
`Long` `getMinDuration()`
`Integer` `getMinSize()`
`VisorTxOperation` `getOperation()`
`VisorTxProjection` `getProjection()`
`VisorTxSortOrder` `getSortOrder()`
`TransactionState` `getState()`
`String` `getXid()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorTxTaskArg

    public VisorTxTaskArg()

Default constructor.

#### VisorTxTaskArg

    public VisorTxTaskArg(VisorTxOperation op,
                          @Nullable
                          Integer limit,
                          @Nullable
                          Long minDuration,
                          @Nullable
                          Integer minSize,
                          @Nullable
                          TransactionState state,
                          @Nullable
                          VisorTxProjection proj,
                          @Nullable
                          List<String> consistentIds,
                          @Nullable
                          String xid,
                          @Nullable
                          String lbRegex,
                          @Nullable
                          VisorTxSortOrder sortOrder)

Parameters:
  `limit` - Limit to collect.
  `minDuration` - Min duration.
  `minSize` - Min size.
  `state` - State.
  `proj` - Projection.
  `consistentIds` - Consistent ids for NODES projection.
  `xid` - Xid.
  `lbRegex` - Label regex.
  `sortOrder` - Sort order.

### Method Detail

#### getOperation

    public VisorTxOperation getOperation()

#### getLimit

    @Nullable
    public Integer getLimit()

#### getMinDuration

    @Nullable
    public Long getMinDuration()

#### getMinSize

    @Nullable
    public Integer getMinSize()

#### getState

    @Nullable
    public TransactionState getState()

#### getProjection

    public VisorTxProjection getProjection()

#### getConsistentIds

    @Nullable
    public List<String> getConsistentIds()

#### getLabelRegex

    @Nullable
    public String getLabelRegex()

#### getXid

    @Nullable
    public String getXid()

#### getSortOrder

    @Nullable
    public VisorTxSortOrder getSortOrder()

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019